regression: default "save as" value for ESPR Shapefile prevents creation of .shp

2016-01-21 07:33 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22160

Description

Currently under master, the save as dialog sets the SHPT layer option to NULL for the ESPR Shapefile driver. This translates into the

creation of a .dbf-only dataset. In previous versions of QGIS, I'm pretty sure the SHPT option was not set, as I have many times in the

past saved KML files as shapefiles without having to modify layer options.

While it might be useful to expose the SHPT option, having "dbf-ony" option set by default is not good (understatement of the week :) ).

I have no idea when this regressed.

Associated revisions

Revision 5512d544 - 2016-01-23 08:21 PM - Martin Dobias

Fix regression in vector "save as" that saved shapefiles as .dbf only (fixes #14158)

History

#1 - 2016-01-21 08:00 PM - Mathieu Pellerin - nIRV

One way to fix this is to remove the SHPT option altogether, since QGIS itself now allows to modify the geometry type.

#2 - 2016-01-23 11:29 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"5512d5443f40e4aa6c70ab63149c0dd03a77b308".

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
